1. Endpoints
Recruspace
  • Welcome
  • Get API Key
  • Authentication
  • Rate Limit
  • Pagination
  • Endpoints
    • Get Candidate
      GET
    • Create Candidate
      POST
    • Add Note to Candidate
      POST
    • Add Tag to Candidate
      POST
    • Add Candidate to Job Post or Talent Pool
      POST
    • Search Candidate by Email
      GET
    • List Company Offices
      GET
    • List Company Users
      GET
    • List Job Posts
      GET
    • Get Job Post
      GET
    • Apply to Job Post
      POST
    • List Job Post Questions
      GET
    • List Talent Pools
      GET
    • Update Talent Pool
      PATCH
    • Delete Talent Pool
      DELETE
    • List Talent Pool Candidates
      GET
    • Create Talent Pool
      POST
    • Upload File
      POST
  1. Endpoints

Upload File

POST
/api/v1/client/utilities/upload-file/
Last modified:2026-07-28 11:05:53
Uploads a file to the company's S3 storage and returns the stored document. Use the returned id as the cv value when
applying to a job post, or as the answer_file value of a file_upload / photo question.
The request must be sent as multipart/form-data.
Arguments
file (file, as body parameter, required): The file to upload. File size must be less than 5 MB.
Valid file types include:
application/pdf
text/plain
application/vnd.openxmlformats-officedocument.wordprocessingml.document
application/msword
image/png
image/jpeg
image/jpg
Returns:
201 Created : Returns the details of the uploaded document, including its ID, name, type, size, and storage path.
400 Bad Request : If the file is larger than 5 MB or its content type is not in the list above.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params multipart/form-dataRequired

Responses

🟢201
application/json
Bodyapplication/json

🟠400
🟠403
🟠423
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.recruspace.com/api/v1/client/utilities/upload-file/' \
--header 'Authorization: Bearer <token>' \
--form 'file=@""'
Response Response Example
201 - Example 1
{
    "success": "OK",
    "content": {
        "id": 0,
        "path": "string",
        "name": "string",
        "type": "string",
        "file_size": -2147483648,
        "base": "string",
        "presigned_url": "string",
        "uploaded_at": "2019-08-24T14:15:22.123Z"
    }
}
Modified at 2026-07-28 11:05:53
Previous
Create Talent Pool
Built with